my_list1 = ['Muriel', 'Nina', 'Kristofferson']
my_list2 = ['rain', 'wave', 'radar']
# 2. Извлечь из 1го списка второй элемент.
print(my_list1[1])

# 3. Изменить во втором списке последний элемент. Вывести список на экран.
my_list2[-1] = 'RADAR'
print(my_list2)

# 4. Объединить списки в один, присвоив результат новой переменной.
# Вывести получившийся список на экран.
my_list3 = my_list1 + my_list2
print(my_list3)

# 5. Снять срез из третьего списка, чтобы туда попали некоторые части
# обоих списоков. Связать срез с новой переменной и вывести ее значение.
my_slice = my_list3[::2]
print(my_slice)

# 6. Добавить в список два новых элемента и снова вывести его.
my_list3.append('l')
my_list3.append('m')
print(my_list3)

# 7.
a = [1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89]
b = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
# Вернуть список, состоящий только из общих элементов.
c = [a[i] for i in range(len(a)) if (a[i] in b) and (a[i] not in a[0:i])]
print(c)

# 8. Оставить в списке только уникальные значения.
a = [1, 2, 3, 4, 3, 2, 5, 1, 4, 6, 7, 1, 8, 2, 3]
b = [a[j] for j in range(len(a)) if a[j] not in a[0:j]]
print(b)
